﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>10.0.0</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{5B1858F3-0651-4AEA-B90F-9A6265903BAA}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>ObscurCore.Tests</RootNamespace>
    <AssemblyName>ObscurCore.Tests</AssemblyName>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>True</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>False</Optimize>
    <OutputPath>bin\Debug</OutputPath>
    <DefineConstants>DEBUG;</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <ConsolePause>False</ConsolePause>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>none</DebugType>
    <Optimize>True</Optimize>
    <OutputPath>bin\Release</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <ConsolePause>False</ConsolePause>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="nunit.framework">
      <HintPath>..\packages\NUnit.2.6.2\lib\nunit.framework.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="protobuf-net">
      <HintPath>..\lib\protobuf-net\net30\protobuf-net.dll</HintPath>
    </Reference>
    <Reference Include="ObscurCore.DTOSerialiser">
      <HintPath>..\lib\DTOSerialiser\Release\ObscurCore.DTOSerialiser.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Compression\Bzip2.cs" />
    <Compile Include="Compression\CompressoStreamUnified.cs" />
    <Compile Include="Compression\Deflate.cs" />
    <Compile Include="Compression\LZ4.cs" />
    <Compile Include="Cryptography\BlockCiphers\AES.cs" />
    <Compile Include="Cryptography\BlockCiphers\Blowfish.cs" />
    <Compile Include="Cryptography\BlockCiphers\Camellia.cs" />
    <Compile Include="Cryptography\BlockCiphers\CAST5.cs" />
    <Compile Include="Cryptography\BlockCiphers\CAST6.cs" />
    <Compile Include="Cryptography\BlockCiphers\GOST28147.cs" />
    <Compile Include="Cryptography\BlockCiphers\NOEKEON.cs" />
    <Compile Include="Cryptography\BlockCiphers\RC6.cs" />
    <Compile Include="Cryptography\BlockCiphers\Rijndael.cs" />
    <Compile Include="Cryptography\BlockCiphers\Serpent.cs" />
    <Compile Include="Cryptography\BlockCiphers\TripleDES.cs" />
    <Compile Include="Cryptography\BlockCiphers\Twofish.cs" />
    <Compile Include="Cryptography\CryptoTestBase.cs" />
    <Compile Include="Cryptography\StreamCiphers\StreamCipherTests.cs" />
    <Compile Include="IOTestBase.cs" />
    <Compile Include="Cryptography\KeyAgreements\UM1.cs" />
    <Compile Include="Packaging\Serialisation\Compression.cs" />
    <Compile Include="Packaging\Serialisation\KeyConfirmation.cs" />
    <Compile Include="Packaging\Serialisation\PayloadLayout.cs" />
    <Compile Include="Packaging\Serialisation\SymmetricCipherConfiguration.cs" />
    <Compile Include="Packaging\Serialisation\SerialisationTestBase.cs" />
    <Compile Include="Packaging\Serialisation\ManifestHeader.cs" />
    <Compile Include="Packaging\Payload.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
    <None Include="Packaging\Serialisation\Manifest.cs" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <ItemGroup>
    <ProjectReference Include="..\ObscurCore.csproj">
      <Project>{5E312E2A-A5AB-4EDC-ACA7-023DA059C7B2}</Project>
      <Name>ObscurCore</Name>
    </ProjectReference>
    <ProjectReference Include="..\DTO\ObscurCore.DTO.csproj">
      <Project>{8FBF9C7C-66E6-4B2E-95CF-C935FC66CE13}</Project>
      <Name>ObscurCore.DTO</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup />
</Project>